import type { PropTypeAnnotation, ObjectTypeAnnotation, EventTypeAnnotation, CommandParamTypeAnnotation } from '@react-native/codegen/lib/CodegenSchema';
import type { CppCodegenOptions } from './ObjectTypes';
import { AliasMap } from './AliasManaging';
export declare function translateComponentPropsFieldType(type: PropTypeAnnotation, aliases: AliasMap<ObjectTypeAnnotation<PropTypeAnnotation>>, baseAliasName: string, options: CppCodegenOptions): {
    type: string;
    initializer: string;
    alreadySupportsOptionalOrHasDefault?: boolean;
};
export declare function translateComponentEventType(type: EventTypeAnnotation, aliases: AliasMap<ObjectTypeAnnotation<EventTypeAnnotation>>, baseAliasName: string, options: CppCodegenOptions): {
    type: string;
    initializer: string;
    alreadySupportsOptionalOrHasDefault?: boolean;
};
export declare function translateCommandParamType(type: CommandParamTypeAnnotation, aliases: AliasMap<ObjectTypeAnnotation<CommandParamTypeAnnotation>>, baseAliasName: string, options: CppCodegenOptions): {
    type: string;
    initializer: string;
    alreadySupportsOptionalOrHasDefault?: boolean;
};
